IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_customer]') AND type = 'U')
CREATE TABLE [dbo].[mps_customer]
(
    [cc_id] bigint NOT NULL IDENTITY(1, 1),
    [cc_cmpid] int NULL DEFAULT((0)),
    [cc_bcid] int NULL DEFAULT((0)),
    [cc_branch] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_dpid] int NULL DEFAULT((0)),
    [cc_depart] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_tag] int NULL DEFAULT((0)),
    [cc_caption] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_ctid] int NULL DEFAULT((0)),
    [cc_type] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_code] varchar(32) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_createcuid] int NULL DEFAULT((0)),
    [cc_creator] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_cuid] int NULL DEFAULT((0)),
    [cc_cuname] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_createtime] datetime NULL DEFAULT(getdate()),
    [cc_activetime] datetime NULL DEFAULT(getdate()),
    [cc_name] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_company] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_gender] int NULL DEFAULT((1)),
    [cc_mobile] varchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_contact] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_icon] varchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT((1)),
    [cc_fccid] bigint NULL DEFAULT((0)),
    [cc_province] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_municipal] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_county] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_title] varchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_prof] varchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_native] nvarchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_college] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_taboos] nvarchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_addr] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_post] varchar(6) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_source] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_site] varchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_email] varchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_msnqq] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_status] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_health] decimal(18, 2) NULL DEFAULT((0)),
    [cc_score] decimal(15, 2) NULL DEFAULT((0)),
    [cc_total] decimal(15, 2) NULL DEFAULT((0)),
    [cc_value] decimal(18, 4) NULL DEFAULT((0)),
    [cc_prev] decimal(18, 4) NULL DEFAULT((0)),
    [cc_rear] decimal(18, 4) NULL DEFAULT((0)),
    [cc_allowlogin] int NULL DEFAULT((0)),
    [cc_other] nvarchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_birth] datetime NULL DEFAULT('1900-1-1'),
    [cc_monthday] varchar(4) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_creditquantum] decimal(18, 2) NULL DEFAULT((0)),
    [cc_accountperiod] int NULL DEFAULT((0)),
    [cc_use] int NULL DEFAULT((0)),
    [cc_identtype] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_identno] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_updated] datetime NULL DEFAULT(getdate()),
    [cc_dsa] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_cds] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [cc_createdpid] int NULL,
    [cc_createdepart] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL,
    [cc_security] int NULL,
    [cc_aaaaa] varchar(20) COLLATE Chinese_PRC_CI_AS NULL,
    [cc_dqqqsa] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL,
    [cc_dqqsa] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL,
    CONSTRAINT [PK_MPS_CUSTOMER] PRIMARY KEY ([cc_id] ASC)
)